## org.apache.mahout.classifier.naivebayes
Class StandardNaiveBayesClassifier

    java.lang.Object
      org.apache.mahout.classifier.AbstractVectorClassifier
          org.apache.mahout.classifier.naivebayes.AbstractNaiveBayesClassifier
              org.apache.mahout.classifier.naivebayes.StandardNaiveBayesClassifier

    public class StandardNaiveBayesClassifier

extends AbstractNaiveBayesClassifier

Class implementing the Naive Bayes Classifier Algorithm

Field Summary

Fields inherited from class org.apache.mahout.classifier.naivebayes.AbstractNaiveBayesClassifier
`model`

Constructor Summary
`StandardNaiveBayesClassifier(NaiveBayesModel model)`

Method Summary
`double` `getScoreForLabelFeature(int label, int feature)`

Methods inherited from class org.apache.mahout.classifier.naivebayes.AbstractNaiveBayesClassifier
`classify, classifyScalar, getScoreForLabelInstance, numCategories`

Methods inherited from class org.apache.mahout.classifier.AbstractVectorClassifier
`classify, classifyFull, classifyFull, classifyFull, classifyNoLink, classifyScalar, logLikelihood`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardNaiveBayesClassifier

    public StandardNaiveBayesClassifier(NaiveBayesModel model)

Method Detail

### getScoreForLabelFeature

    public double getScoreForLabelFeature(int label,
                                          int feature)

  Specified by:
    `getScoreForLabelFeature` in class `AbstractNaiveBayesClassifier`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.